glibmm: Portable Network I/O Functionality

glibmm 2.66.0

Classes | Functions
Portable Network I/O Functionality

## Classes
class | Gio::SignalSocket
class | Gio::SocketSource
| An event source that can monitor a Gio::Socket. More...
class | Gio::InetAddress
| An IPv4/IPv6 address. More...
class | Gio::InetSocketAddress
| Internet SocketAddress. More...
class | Gio::NetworkAddress
| A SocketConnectable for resolving hostnames. More...
class | Gio::NetworkService
| A GSocketConnectable for resolving SRV records. More...
class | Gio::Proxy
| Proxy - Interface for proxy handling. More...
class | Gio::ProxyAddress
| ProxyAddress - An internet address with proxy information. More...
class | Gio::ProxyResolver
| ProxyResolver - Asynchronous and cancellable network proxy resolver. More...
class | Gio::Resolver
| Asynchronous and cancellable DNS resolver. More...
class | Gio::Socket
| Low-level socket object. More...
class | Gio::SocketAddress
| Abstract base class representing endpoints for socket communication. More...
class | Gio::SocketAddressEnumerator
| Enumerator type for objects that contain or generate SocketAddresses. More...
class | Gio::SocketClient
| Helper for connecting to a network service. More...
class | Gio::SocketConnectable
| Interface for potential socket endpoints. More...
class | Gio::SocketConnection
| A socket connection. More...
class | Gio::SocketControlMessage
| A Socket control message. More...
class | Gio::SocketListener
| Helper for accepting network client connections. More...
class | Gio::SocketService
| Make it easy to implement a network service. More...
class | Gio::SrvTarget
| DNS SRV record target. More...
class | Gio::TcpConnection
| A TCP SocketConnection. More...
class | Gio::TcpWrapperConnection
| Wrapper for non-Gio::SocketConnection-based, Gio::Socket-based Gio::IOStreams. More...
class | Gio::ThreadedSocketService
| A threaded GSocketService. More...
class | Gio::UnixConnection
| A Unix domain SocketConnection. More...
class | Gio::UnixCredentialsMessage
| UnixCredentialsMessage - A SocketControlMessage containing credentials. More...
class | Gio::UnixFDList
| UnixFDList - An object containing a set of UNIX file descriptors. More...
class | Gio::UnixFDMessage
| UnixFDMessage — A GSocketControlMessage containing a GUnixFDList. More...
class | Gio::UnixSocketAddress
| UnixSocketAddress - UNIX SocketAddress. More...

## Functions
SignalSocket | Gio::signal_socket (const Glib::RefPtr< Glib::MainContext >& context=Glib::RefPtr< Glib::MainContext >())
| Convenience socket signal. More...

## Detailed Description

## Function Documentation

## ◆ signal_socket()

SignalSocket Gio::signal_socket | ( | const Glib::RefPtr< Glib::MainContext >& | context = `Glib::RefPtr< Glib::MainContext >()` | ) |

Convenience socket signal.

Parameters

  context | The main context to which the signal shall be attached.

Returns
  A signal proxy; you want to use SignalSocket::connect().

Since glibmm 2.42: